#ifndef __RENDERER_H__
#define __RENDERER_H__

#include "vertex.h"

class Renderer {
public:
	// 
	virtual bool initialize() = 0;

	// ㏈
	virtual void terminate() = 0;

	// `Jn
	virtual void begin() = 0;

	// Xbv
	virtual void swap() = 0;

	// `I
	virtual void end() = 0;

	// _obt@`
	virtual void render(Vertex *vtx, unsigned vtxNum, unsigned primNum) = 0;
};

#endif
